/* -*-C-*- */
#ifndef OPTIONS_H
#define OPTIONS_H

#define OPTIONS_LEN_USER_NAME 64
#define OPTIONS_LEN_CONFIG_FILE 512

/**
 * \brief Command-Line options
 */
typedef struct
{

    int no_daemon;			// 
    int change_user;
    int config_file;
    int set_ioperm;
    char config_file_name[OPTIONS_LEN_CONFIG_FILE];
    char user_name[OPTIONS_LEN_USER_NAME];

} Options;

void options_set_defaults(Options *opt);
Options *options_create();
void options_read(Options *opt, int argc, char **argv);

#endif
