/* -*-C-*- */
#ifndef SYS_UTIL_H
#define SYS_UTIL_H

/**
 * \file sys_util.h
 * \brief System Utilities.
 */

#include <sys/types.h>			/* for uid_t */

int sys_util_findGID(const char *group, gid_t *gid);
int sys_util_findUID(const char *user, uid_t *uid, gid_t *gid);
int sys_util_findHomeDir(uid_t uid, char *dest, int mxlen);

#endif
