/* -*-C-*- */
#ifndef STRING_UTIL_H
#define STRING_UTIL_H

#include <sys/types.h>

/**
 * \file string_util.h
 * \brief String utilities.
 */
int string_util_trim(char *txt);
int string_util_split_command(char *cmdline, char **cmd, char **args, int mxargs);
int string_util_fast_trim(char* txt, char **dest, int remove_quotes);
void string_util_cat(char *dest, const char *src, int maxlen);
int string_util_divide(char *buffer, char separator, char **first, char **second);
int string_util_bool_to_int(const char *txt);
char *string_util_strncpy(char *dest, const char * src, size_t n);


#endif
